## razergenie 0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(razergenie)

# Experimental features switch
option(ENABLE_EXPERIMENTAL "ENABLE_EXPERIMENTAL" OFF)

# Fix for GCC < 6.0
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(RAZERGENIE_VERSION_MAJOR 0)
set(RAZERGENIE_VERSION_MINOR 0)
set(RAZERGENIE_VERSION_PATCH 1)
set(RAZERGENIE_VERSION_STRING ${RAZERGENIE_VERSION_MAJOR}.${RAZERGENIE_VERSION_MINOR}.${RAZERGENIE_VERSION_PATCH})

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED COMPONENTS DBus Network Xml Widgets)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

include(KDEInstallDirs)
#include(KDECompilerSettings) # this fucking piece of shit breaks my shared library -.-
include(KDECMakeSettings)
include(FeatureSummary)
include(CheckIncludeFiles)

add_subdirectory(logo)
add_subdirectory(other)
add_subdirectory(src)

=== logo/CMakeLists.txt ===
install(FILES razergenie.svg DESTINATION share/icons/hicolor/scalable/apps)

=== other/CMakeLists.txt ===
install(FILES razergenie.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/CMakeLists.txt ===
add_subdirectory(librazer)

if(ENABLE_EXPERIMENTAL)
    add_definitions(-DENABLE_EXPERIMENTAL)
    message("razergenie: Experimental features enabled.")
else()
    message("razergenie: Experimental features disabled.")
endif()

set(razergenie_SRCS main.cpp
                    razergenie.cpp
                    razerimagedownloader.cpp
                    razerdevicewidget.cpp
                    devicelistwidget.cpp
                    customeditor.cpp
                    )

QT5_WRAP_UI(razergenie_SRCS ../ui/razergenie.ui
                            ../ui/daemon_not_available.ui)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_executable(razergenie ${razergenie_SRCS})
target_link_libraries(razergenie razer Qt5::Widgets Qt5::DBus Qt5::Network)

install(TARGETS razergenie DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/librazer/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(librazer)

set(LIBRAZER_VERSION_MAJOR 0)
set(LIBRAZER_VERSION_MINOR 0)
set(LIBRAZER_VERSION_PATCH 1)
set(LIBRAZER_VERSION_STRING ${LIBRAZER_VERSION_MAJOR}.${LIBRAZER_VERSION_MINOR}.${LIBRAZER_VERSION_PATCH})

# The name automatically gets "lib" prepended to "razer" -> "librazer.so"
add_library(razer SHARED
            librazer.cpp
            razercapability.cpp
            )
target_link_libraries(razer Qt5::DBus Qt5::Xml)

set_target_properties(razer PROPERTIES VERSION ${LIBRAZER_VERSION_STRING}
                                       SOVERSION ${LIBRAZER_VERSION_MAJOR})

# Demo executable
if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_executable(librazerdemo librazer.cpp)
    target_link_libraries(librazerdemo razer Qt5::DBus Qt5::Xml Qt5::Widgets)
endif()

install(TARGETS razer DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
razergenie (0.3-1) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@g550jk>  Wed, 05 Jul 2017 21:00:13 +0200

razergenie (0.2-1) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@g550jk>  Thu, 25 May 2017 19:46:29 +0200

razergenie (0.1-1) stable; urgency=medium

  * Initial release.

 -- Luca Weiss <luca@g550jk>  Thu, 25 May 2017 19:42:56 +0200

=== debian/control ===
Source: razergenie
Maintainer: Luca Weiss <luca@z3ntu.xyz>
Section: misc
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), cmake, extra-cmake-modules, qt5-default

Package: razergenie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: testdescription
 asdasdhjakshdjkashdjkhajkshd

## razergenie 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(razergenie)

# Experimental features switch
option(ENABLE_EXPERIMENTAL "ENABLE_EXPERIMENTAL" OFF)
option(INCLUDE_MATRIX_DISCOVERY "INCLUDE_MATRIX_DISCOVERY" OFF)

# Fix for GCC < 6.0
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic -Wextra")

set(version 0.8.1)
set(datadir ${CMAKE_INSTALL_PREFIX}/share/razergenie)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED COMPONENTS DBus LinguistTools Network Xml Widgets)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

include(KDEInstallDirs)
#include(KDECompilerSettings) # this fucking piece of shit breaks my shared library -.-
include(KDECMakeSettings)
include(FeatureSummary)
include(CheckIncludeFiles)

add_subdirectory(data)
add_subdirectory(logo)
add_subdirectory(src)

=== meson_options.txt ===
option('enable_experimental', type : 'boolean', value : false, description : 'Enable experimental features.')
option('include_matrix_discovery', type : 'boolean', value : false, description : 'Includes the matrix discovery feature.')

=== data/CMakeLists.txt ===
# Matrix Layouts
install(FILES matrix_layouts/razerblade16.json DESTINATION share/razergenie/matrix_layouts)
install(FILES matrix_layouts/razerdefault22.json DESTINATION share/razergenie/matrix_layouts)
install(FILES matrix_layouts/razerblade25.json DESTINATION share/razergenie/matrix_layouts)

# Appstream XML
install(FILES xyz.z3ntu.razergenie.appdata.xml DESTINATION share/metainfo)

# Desktop file
install(FILES xyz.z3ntu.razergenie.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

# Translations
set(TRANSLATION_FILES
    translations/de.ts)  # add new languages here!
qt5_add_translation(QM_FILES ${TRANSLATION_FILES})

add_custom_target(translations ALL DEPENDS ${QM_FILES}) # this is apparently needed that the .qm files are generated at all...
install(FILES ${QM_FILES} DESTINATION share/razergenie/translations)

=== logo/CMakeLists.txt ===
install(FILES xyz.z3ntu.razergenie.svg DESTINATION share/icons/hicolor/scalable/apps)

=== src/CMakeLists.txt ===
add_subdirectory(libopenrazer)

if(ENABLE_EXPERIMENTAL)
    add_definitions(-DENABLE_EXPERIMENTAL)
    message("razergenie: Experimental features enabled.")
else()
    message("razergenie: Experimental features disabled.")
endif()

if(INCLUDE_MATRIX_DISCOVERY)
    add_definitions(-DINCLUDE_MATRIX_DISCOVERY)
    message("razergenie: Matrix discovery feature included.")
else()
    message("razergenie: Matrix discovery feature not included.")
endif()

set(razergenie_SRCS main.cpp
                    razergenie.cpp
                    razerimagedownloader.cpp
                    razerdevicewidget.cpp
                    devicelistwidget.cpp
                    util.cpp
                    customeditor/customeditor.cpp
                    customeditor/matrixpushbutton.cpp
                    preferences/preferences.cpp
                    )

QT5_WRAP_UI(razergenie_SRCS ../ui/razergenie.ui)

configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_executable(razergenie ${razergenie_SRCS})
target_link_libraries(razergenie openrazer Qt5::Widgets Qt5::DBus Qt5::Network)

install(TARGETS razergenie DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/libopenrazer/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(libopenrazer)

set(LIBRAZER_VERSION_MAJOR 0)
set(LIBRAZER_VERSION_MINOR 0)
set(LIBRAZER_VERSION_PATCH 1)
set(LIBRAZER_VERSION_STRING ${LIBRAZER_VERSION_MAJOR}.${LIBRAZER_VERSION_MINOR}.${LIBRAZER_VERSION_PATCH})

# The name automatically gets "lib" prepended to "openrazer" -> "libopenrazer.so"
add_library(openrazer SHARED
            libopenrazer.cpp
            razercapability.cpp
            )
target_link_libraries(openrazer Qt5::Gui Qt5::DBus Qt5::Xml)

set_target_properties(openrazer PROPERTIES VERSION ${LIBRAZER_VERSION_STRING}
                                       SOVERSION ${LIBRAZER_VERSION_MAJOR})

# Demo executable
if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_executable(libopenrazerdemo libopenrazerdemo.cpp)
    target_link_libraries(libopenrazerdemo openrazer Qt5::DBus Qt5::Xml Qt5::Widgets)
endif()

install(TARGETS openrazer DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
razergenie (0.8.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Bump up to debhelper compat 11, use meson buildsystem in rules by default.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Oct 2019 16:49:52 -0700

razergenie (0.8.1-1) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 21 Oct 2018 20:13:10 +0200

razergenie (0.8-1) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 21 Oct 2018 19:56:09 +0200

razergenie (0.7-1) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@z3ntu.xyz>  Mon, 02 Apr 2018 14:44:08 +0200

razergenie (0.6-1) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@z3ntu.xyz>  Sat, 23 Dec 2017 18:13:07 +0100

razergenie (0.5-1) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@z3ntu.xyz>  Sat, 18 Nov 2017 16:12:52 +0100

razergenie (0.4-2) stable; urgency=medium

  * Improve the Debian packaging by adding a description, copyright and
    a missing daemon dependency.

 -- Luca Weiss <luca@z3ntu.xyz>  Tue, 03 Oct 2017 15:55:30 +0200

razergenie (0.4-1) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@z3ntu.xyz>  Sat, 30 Sep 2017 13:32:32 +0200

=== debian/control ===
Source: razergenie
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Luca Weiss <luca@z3ntu.xyz>
Section: misc
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 11),
               extra-cmake-modules,
               meson,
               pkg-config,
               qtbase5-dev,
               qttools5-dev-tools

Package: razergenie
Architecture: any
Depends: ${misc:Depends} openrazer-daemon, ${shlibs:Depends}
Description: Qt application for configuring your Razer devices
 Interfaces with the OpenRazer daemon to control and configure all of your Razer
 peripherals that are connected to your PC.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

%:
	dh $@ --buildsystem=meson

## razergenie 0.9.90

=== debian/changelog ===
razergenie (0.9.90-0) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@z3ntu.xyz>  Wed, 14 Dec 2022 01:15:04 +0100

razergenie (0.9.0-0) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@z3ntu.xyz>  Tue, 15 Sep 2020 22:24:32 +0200

=== debian/control ===
Source: razergenie
Maintainer: Luca Weiss <luca@z3ntu.xyz>
Section: misc
Priority: optional
Standards-Version: 4.6.1
Build-Depends: debhelper (>= 12),
               libopenrazer-dev,
               meson,
               pkg-config,
               qtbase5-dev,
               qttools5-dev-tools
Vcs-Git: https://github.com/z3ntu/RazerGenie

Package: razergenie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} openrazer-daemon
Description: Qt application for configuring your Razer devices
 Interfaces with the OpenRazer daemon to control and configure all of your
 Razer peripherals that are connected to your PC.

## razergenie 1.2.0

=== debian/changelog ===
razergenie (1.2.0-0) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <debian@lucaweiss.eu>  Sun, 10 Nov 2024 19:12:11 +0100

razergenie (1.1.0-0) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@z3ntu.xyz>  Fri, 13 Oct 2023 20:32:26 +0000

razergenie (1.0.0-1) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@z3ntu.xyz>  Thu, 15 Dec 2022 22:54:53 +0100

## razergenie 1.3.0

=== debian/changelog ===
razergenie (1.3.0-0) stable; urgency=medium

  * New upstream release

 -- Luca Weiss <luca@lucaweiss.eu>  Tue, 29 Apr 2025 23:04:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                libopenrazer-dev,
                meson,
                pkg-config,
-               qtbase5-dev,
-               qttools5-dev-tools
+               qt6-base-dev,
+               qt6-l10n-tools
 Vcs-Git: https://github.com/z3ntu/RazerGenie
 
 Package: razergenie
